PIO_READ_STRING(3)

FUNCTION
pio_read_string - Read a string from a channel object.

SYNOPSIS
#include <karma_pio.h>

char * pio_read_string

(Channel channel, unsigned int *length)

DESCRIPTION
Read a string from a channel object.

channel
    The channel object.

length
    The length of the string will be written here. If this is NULL, nothing is written here.

RETURN VALUE
A pointer to a dynamically allocated string on success, else NULL. If a zero length string was read, the returned buffer is one character long and contains the ' ' character.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/